## zproject 1750852812.45e3152

=== debian/changelog ===
zproject (1750852812.45e3152-0) UNRELEASED; urgency=low

  * Initial packaging.

 -- zproject Developers <zeromq-dev@lists.zeromq.org>  Wed, 31 Dec 2014 00:00:00 +0000
