=== debian/control ===
#
#    zproject - Project
#
#    Copyright (c) the Contributors as noted in the AUTHORS file.
#    This file is part of CZMQ, the high-level C binding for 0MQ:
#    http://czmq.zeromq.org.
#
#    This Source Code Form is subject to the terms of the Mozilla Public
#    License, v. 2.0. If a copy of the MPL was not distributed with this
#    file, You can obtain one at http://mozilla.org/MPL/2.0/.

Source:         zproject
Section:        net
Priority:       optional
Maintainer:     zproject Developers <zeromq-dev@lists.zeromq.org>
Standards-Version: 4.0.1.0
Build-Depends: debhelper-compat (= 12),
    pkgconf | pkg-config,
    generator-scripting-language,
    asciidoc-base <!nodoc>, xmlto <!nodoc>,

Package: zproject
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
    generator-scripting-language,
Description: runnable binaries from zproject
 Main package for zproject:
 project

Package: zproject-dbg
Architecture: any
Section: debug
Priority: optional
Depends:
    zproject (= ${binary:Version}),
    ${misc:Depends}
Description: zproject debugging symbols
 This package contains the debugging symbols for zproject:
 project.
